[OSX] does a toolchain need to support NPTL for OM?

Dr. H. Nikolaus Schaller hns at computer.org
Fri Jan 9 15:22:54 CET 2009

Am 09.01.2009 um 15:16 schrieb Christopher Friedt:

> You should really just use nptl - they are built-in to glibc-2.6. It's
> also an industry standard. I believe that it is not optional in this
> version of glibc.

That is what I have suspected.

> C
> PS: If it helps at all, when I use gentoo/portage to automate the
> build of glibc-2.6.1, the following files are downloaded:
> http://distfiles.gentoo.org/distfiles/glibc-libidn-2.6.1.tar.bz2
> http://distfiles.gentoo.org/distfiles/glibc-2.6.1-patches-1.2.tar.bz2

Maybe, this contains the ARM patch? I will look into it.
libidn and ports are also new components to me (I always had worked on  
2.2.x and 2.3.x libs so far)

> # glibc-2.6.1 is the vanilla/official version
> http://distfiles.gentoo.org/distfiles/glibc-2.6.1.tar.bz2
> http://distfiles.gentoo.org/distfiles/glibc-ports-2.6.1.tar.bz2


More information about the devel mailing list